%define oname   CuteMarkEd

Name:           cutemarked
Version:        0.11.3
Release:        %mkrel 8
Summary:        A Qt-based markdown editor with live HTML preview
Group:          Editors
License:        GPLv2+
URL:            http://cloose.github.io/CuteMarkEd/
Source0:        https://github.com/cloose/CuteMarkEd/archive/v%{version}/%{oname}-%{version}.tar.gz
Patch0:         cutemarked-0.11.3-fix-build-against-qt-5.11.0.patch

BuildRequires:  pkgconfig(libmarkdown)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  qttools5
Recommends:     %{name}-plugin-fontawesome = %{version}-%{release}

%description
A Qt-based, free and open source markdown editor with live HTML preview,
math expressions, code syntax highlighting and syntax highlighting of
markdown documents.

%files
%doc README.md LICENSE.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*

#----------------------------------------------------------------------

%package        plugin-fontawesome
Summary:        Qt Iconengine - Fontawesome plugin
Group:          Editors
License:        BSD-3-Clause

%description    plugin-fontawesome
This package provides the fontawesome iconengine plugin.

%files          plugin-fontawesome
%doc LICENSE.md
%{_qt5_plugindir}/iconengines/libfontawesomeicon.so

#----------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 0.11.3-8.mga8
+ Revision: 1658301
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.11.3-7.mga8
+ Revision: 1524534
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 0.11.3-6.mga7
+ Revision: 1381508
- Qt5 Rebuild

* Fri Nov 23 2018 daviddavid <daviddavid> 0.11.3-5.mga7
+ Revision: 1333470
- rebuild for new hunspell 1.7.0

* Sun Sep 23 2018 umeabot <umeabot> 0.11.3-4.mga7
+ Revision: 1297380
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 daviddavid <daviddavid> 0.11.3-3.mga7
+ Revision: 1234633
- add patch to fix build with new Qt5 >= 5.11.0

* Sun Aug 06 2017 daviddavid <daviddavid> 0.11.3-2.mga7
+ Revision: 1137574
- rebuild for new libhunspell 1.6

* Sat Oct 08 2016 akien <akien> 0.11.3-1.mga6
+ Revision: 1059591
- Version 0.11.3

* Thu Apr 21 2016 tv <tv> 0.11.2-2.mga6
+ Revision: 1004211
- rebuid for libhunspell 1.4

* Thu Mar 24 2016 akien <akien> 0.11.2-1.mga6
+ Revision: 995194
- Version 0.11.2

* Sun Feb 14 2016 umeabot <umeabot> 0.11.1-2.mga6
+ Revision: 959835
- Mageia 6 Mass Rebuild

* Wed Jul 29 2015 akien <akien> 0.11.1-1.mga6
+ Revision: 858975
- Version 0.11.1

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-4.mga5
+ Revision: 741591
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.10.1-3.mga5
+ Revision: 693717
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-2.mga5
+ Revision: 678644
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 akien <akien> 0.10.1-1.mga5
+ Revision: 676924
- imported package cutemarked

